ConnectX-3 driver for Fedora 30

o/s is Fedora 30 Workstation & Fedora 30 Server.

Kernel is 5.2.9-200.fc30.x86_64

How can I make a driver?

I tried to run mlnx_add_kernel_support.sh but got the following error:

ERROR: Failed executing “MLNX_EN_SRC-4.6-1.0.1.1/install.pl --tmpdir /tmp/mlnx-en-4.6-1.0.1.1-5.2.9-200.fc30.x86_64/mlnx_iso.28876_logs --kernel-only --kernel 5.2.9-200.fc30.x86_64 --kernel-sources /lib/modules/5.2.9-200.fc30.x86_64/build --builddir /tmp/mlnx-en-4.6-1.0.1.1-5.2.9-200.fc30.x86_64/mlnx_iso.28876 --disable-kmp --build-only --distro fc29”

I also tried this “mlnx_add_kernel_support.sh -m|–mlnx_ofed /mnt --make-iso”

but, I received this error:

WARNING: create_mlnx_ofed_installers.pl is missing, cannot build a repository.

ERROR: Linux Distribution (fedora-release-common-30-5.noarch) is not supported

Hi Femi,

Currently there is no plan to support Fedora 30

The current MLNX_OFED 4.6 and MLNX_EN 4.6 supports Fedora 27 and 29.

https://www.mellanox.com/page/products_dyn?product_family=26&mtag=linux_sw_drivers

https://www.mellanox.com/page/products_dyn?product_family=27

Thanks,

Samer

Hi Samer,

Thanks for the reply.

Even though there is no fc30 support, shouldn’t I be able to use “add_kernel_support” or kernel 5.2 is not supported?